gtk.HBox
Prev | The gtk Class Reference | Next

## gtk.HBox

gtk.HBox — a horizontal container box

## Synopsis

    class gtk.HBox(gtk.Box):
        gtk.HBox(homogeneous=False, spacing=0)

## Ancestry

    +-- gobject.GObject
      +-- gtk.Object
        +-- gtk.Widget
          +-- gtk.Container
            +-- gtk.Box
              +-- gtk.HBox

## gtk.HBox Properties

gtk.Object Properties

gtk.Widget Properties

gtk.Container Properties

gtk.Box Properties

## gtk.HBox Style Properties

gtk.Widget Style Properties

## gtk.HBox Child Properties

gtk.Box Child Properties

## gtk.HBox Signal Prototypes

gobject.GObject Signal Prototypes

gtk.Object Signal Prototypes

gtk.Widget Signal Prototypes

gtk.Container Signal Prototypes

## Description

The `gtk.HBox` is a container subclassed from `gtk.Box` that organizes its child widgets into a single horizontal row. The `gtk.Box` methods are used to manage the order, spacing, width and alignment of the child widgets though all widgets are allocated the same height.

## Constructor

        gtk.HBox(homogeneous=False, spacing=0)

`homogeneous` : | If `True` all children are given equal space allocations.
`spacing` : | The additional horizontal space between children in pixels
Returns : | a new hbox widget

Creates a new `gtk.HBox` widget.

Prev | Up | Next
gtk.HandleBox | Home | gtk.HButtonBox